/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.weblayer.webcontext.session.valueencode.impl;

import org.tinygroup.weblayer.webcontext.session.valueencode.AbstractSessionValueEncoder;

/**
 * 将一个简单类型编码成字符串，或反之。支持加密。
 *
 * @author renhui
 */
public class SimpleValueEncoder extends AbstractSessionValueEncoder {
    private Class<?> type;

    public void setType(Class<?> type) {
        this.type = type;
    }

    @Override
    protected boolean doURLEncode() {
        return true;
    }

    /** 简单值不压缩，取得的字符串较短。 */
    @Override
    protected boolean doCompress() {
        return false;
    }

    @Override
    protected String encodeValue(Object value) throws Exception {
        return convertToString(type, value, getTypeConverter());
    }

    @Override
    protected Object decodeValue(String encodedValue) throws Exception {
        return convertToType(type, encodedValue, getTypeConverter());
    }


}
